Bug 1210989 - [abrt] gnome-software: __strcmp_sse2_unaligned(): gnome-software killed by SIGSEGV
Summary: [abrt] gnome-software: __strcmp_sse2_unaligned(): gnome-software killed by SI...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:143eb2a416dfa373e0223a68ffc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-11 21:22 UTC by iliketurtlesbro
Modified: 2015-06-21 00:21 UTC (History)
6 users (show)

Fixed In Version: gnome-software-3.16.4-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-21 00:21:14 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (58.48 KB, text/plain)
2015-04-11 21:22 UTC, iliketurtlesbro
no flags Details
File: cgroup (190 bytes, text/plain)
2015-04-11 21:22 UTC, iliketurtlesbro
no flags Details
File: core_backtrace (32.30 KB, text/plain)
2015-04-11 21:22 UTC, iliketurtlesbro
no flags Details
File: dso_list (13.54 KB, text/plain)
2015-04-11 21:22 UTC, iliketurtlesbro
no flags Details
File: environ (970 bytes, text/plain)
2015-04-11 21:22 UTC, iliketurtlesbro
no flags Details
File: limits (1.29 KB, text/plain)
2015-04-11 21:22 UTC, iliketurtlesbro
no flags Details
File: maps (68.76 KB, text/plain)
2015-04-11 21:22 UTC, iliketurtlesbro
no flags Details
File: mountinfo (3.26 KB, text/plain)
2015-04-11 21:22 UTC, iliketurtlesbro
no flags Details
File: namespaces (85 bytes, text/plain)
2015-04-11 21:22 UTC, iliketurtlesbro
no flags Details
File: open_fds (2.46 KB, text/plain)
2015-04-11 21:22 UTC, iliketurtlesbro
no flags Details
File: proc_pid_status (998 bytes, text/plain)
2015-04-11 21:22 UTC, iliketurtlesbro
no flags Details

Description iliketurtlesbro 2015-04-11 21:22:07 UTC
Description of problem:
was installing GNOME 2048

Version-Release number of selected component:
gnome-software-3.16.0-1.fc22

Additional info:
reporter:       libreport-2.5.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: __strcmp_sse2_unaligned
executable:     /usr/bin/gnome-software
global_pid:     4520
kernel:         4.0.0-0.rc5.git4.1.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: [System Logs]:\n-- Logs begin at Tue 2015-03-10 14:15:32 PDT, end at Sat 2015-04-11 14:16:31 PDT. --

Truncated backtrace:
Thread no. 5 (7 frames)
 #0 __strcmp_sse2_unaligned at ../sysdeps/x86_64/multiarch/strcmp-sse2-unaligned.S:29
 #1 as_app_has_category at as-app.c:426
 #2 gs_plugin_add_categories_for_app at gs-plugin-appstream.c:990
 #3 gs_plugin_add_categories at gs-plugin-appstream.c:1050
 #4 gs_plugin_loader_get_categories_thread_cb at gs-plugin-loader.c:2114
 #5 g_task_thread_pool_thread at gtask.c:1231
 #7 g_thread_proxy at gthread.c:764

Comment 1 iliketurtlesbro 2015-04-11 21:22:09 UTC
Created attachment 1013506 [details]
File: backtrace

Comment 2 iliketurtlesbro 2015-04-11 21:22:13 UTC
Created attachment 1013507 [details]
File: cgroup

Comment 3 iliketurtlesbro 2015-04-11 21:22:13 UTC
Created attachment 1013508 [details]
File: core_backtrace

Comment 4 iliketurtlesbro 2015-04-11 21:22:16 UTC
Created attachment 1013509 [details]
File: dso_list

Comment 5 iliketurtlesbro 2015-04-11 21:22:16 UTC
Created attachment 1013510 [details]
File: environ

Comment 6 iliketurtlesbro 2015-04-11 21:22:17 UTC
Created attachment 1013511 [details]
File: limits

Comment 7 iliketurtlesbro 2015-04-11 21:22:20 UTC
Created attachment 1013512 [details]
File: maps

Comment 8 iliketurtlesbro 2015-04-11 21:22:22 UTC
Created attachment 1013513 [details]
File: mountinfo

Comment 9 iliketurtlesbro 2015-04-11 21:22:23 UTC
Created attachment 1013514 [details]
File: namespaces

Comment 10 iliketurtlesbro 2015-04-11 21:22:24 UTC
Created attachment 1013515 [details]
File: open_fds

Comment 11 iliketurtlesbro 2015-04-11 21:22:25 UTC
Created attachment 1013516 [details]
File: proc_pid_status

Comment 13 Fedora Update System 2015-06-14 16:33:48 UTC
gnome-software-3.16.4-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/gnome-software-3.16.4-1.fc22

Comment 14 Fedora Update System 2015-06-15 13:28:41 UTC
Package gnome-software-3.16.4-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-software-3.16.4-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10011/gnome-software-3.16.4-1.fc22
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2015-06-21 00:21:14 UTC
gnome-software-3.16.4-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.